! { dg-do compile }
!
! PR 57306: [OOP] ICE on valid with class pointer initialization
!
! Contributed by Andrew Benson <abensonca@gmail.com>

module t
  type :: c
  end type c
  type(c), target :: cd
  class(c), pointer :: cc => cd
end

! { dg-final { cleanup-modules "t" } }
